# Class CIM_NamedSharedIKESecret
extends CIM_Credential

CIM_NamedSharedIKESecret indirectly represents a shared secret credential. The local identity, IKEIdentity, and the remote peer identity share the secret that is named by the SharedSecretName. The SharedSecretName is used by the SharedSecretService to reference the secret.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_NamedSharedIKESecret

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_NamedCredential
Description | string | CIM_NamedSharedIKESecret indirectly represents a shared secret credential. The local identity, IKEIdentity, and the remote peer identity share the secret that is named by the SharedSecretName. The SharedSecretName is used by the SharedSecretService to reference the secret.
UMLPackagePath | string | CIM::User::SharedSecret
Version | string | 2.16.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LocalIdentity | string |
Deprecated | string | CIM_NamedCredential.LocalIdentity
Description | string | The local Identity with whom the direct trust relationship exists.
Key | boolean | true
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_NamedSharedIKESecret.LocalIdentityType
LocalIdentityType | uint16 |
Deprecated | string | CIM_NamedCredential.LocalIdentityType
Description | string | LocalIdentityType is used to describe the type of the LocalIdentity.
Key | boolean | true
ModelCorrespondence | string | CIM_NamedSharedIKESecret.LocalIdentity
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | IPV4_ADDR, FQDN, USER_FQDN, IPV4_ADDR_SUBNET, IPV6_ADDR, IPV6_ADDR_SUBNET, IPV4_ADDR_RANGE, IPV6_ADDR_RANGE, DER_ASN1_DN, DER_ASN1_GN, KEY_ID
PeerIdentity | string |
Deprecated | string | CIM_NamedCredential.PeerIdentity
Description | string | The peer identity with whom the direct trust relationship exists.
Key | boolean | true
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_NamedSharedIKESecret.PeerIdentityType
PeerIdentityType | uint16 |
Deprecated | string | CIM_NamedCredential.PeerIdentityType
Description | string | PeerIdentityType is used to describe the type of the PeerIdentity.
Key | boolean | true
ModelCorrespondence | string | CIM_NamedSharedIKESecret.PeerIdentity
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | IPV4_ADDR, FQDN, USER_FQDN, IPV4_ADDR_SUBNET, IPV6_ADDR, IPV6_ADDR_SUBNET, IPV4_ADDR_RANGE, IPV6_ADDR_RANGE, DER_ASN1_DN, DER_ASN1_GN, KEY_ID
ServiceCreationClassName | string |
Deprecated | string | CIM_NamedCredential.InstanceID
Description | string | The scoping Service's CCN.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.CreationClassName
ServiceName | string |
Deprecated | string | CIM_NamedCredential.InstanceID
Description | string | The scoping Service's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.Name
SharedSecretName | string |
Deprecated | string | CIM_NamedCredential.SharedSecretName
Description | string | SharedSecretName is an indirect reference to a shared secret. The SecretService does not expose the actual secret but rather provides access to the secret via a name.
SystemCreationClassName | string |
Deprecated | string | CIM_NamedCredential.InstanceID
Description | string | The scoping System's CCN.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.SystemCreationClassName
SystemName | string |
Deprecated | string | CIM_NamedCredential.InstanceID
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_SharedSecretService.SystemName

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
InstanceID | string | CIM_ManagedElement
Issued | datetime | CIM_Credential

## Class Methods